Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

FG 2.0 doesn't start

djay08
2010-12-01
2013-04-25
  • djay08
    djay08
    2010-12-01

    I cannot get my FG 2.0 to start.  I am running the program on MAC OS 10.6.5 Snow Leopard.  I am receiving the following error:

    1/30/10 7:42:18 PM .net.sourceforge.macflightgear /Applications/FlightGear.app/Contents/Resources/FlightGearController.rb:47:in `initialize': Ruby threads cannot be used in RubyCocoa without patches to the Ruby interpreter

    Can someone please help me resolve this problem?  Thank you

     
  • Jari Häkkinen
    Jari Häkkinen
    2010-12-06

    I have the same problem. I haven't tried to resolve the problem with the official package since I think the issue requires source code changes and I work with the latest developer version of all flightgear related packages.

    I am able to fix it locally on my machine. I am not in the position to provide a package for download. I am however sending patches to the flightgear developer mailing list. I'll return with more comments if I find something that can be applied to the macfg-2.0 package.

     
  • Jari Häkkinen
    Jari Häkkinen
    2010-12-08

    I cannot force the error on my machine with fg 2.0 any more! I have no clue why but fg 2.0 works nicely here. I also have a current developer version running here.

    The message you post is harmless and is not the cause for your problem. I assume that you have the FGlauncher GUI working? Can you start the FGlauncer from a terminal with the command '/Applications/FlightGear.app/Contents/MacOS/FlightGear' and try to start fg. Post the output displayed on the terminal window. It may give some clues to what goes wrong.

     
  • Hugh Harrison
    Hugh Harrison
    2010-12-20

    I have had absolutely no luck trying to launch Flight Gear on the same platform OS X 10.6.5 and here is what the terminal says when I try to launch the program :
    2010-12-19 20:05:55.857 FlightGear *** __NSAutoreleaseNoPool(): Object 0x208790 of class NSThread autoreleased with no pool in place - just leaking
    Starting terrasync with -p 5500 -S -d ./data/Scenery-TerraSync
    shell: current dir: /Applications/FlightGear.app/Contents/Resources
    /Applications/FlightGear.app/Contents/Resources/FlightGearController.rb:47:in `initialize': Ruby threads cannot be used in RubyCocoa without patches to the Ruby interpreter
    Starting Atlas with -fg-root=./data -fg-scenery=./data/Scenery-TerraSync -palette=./data/Atlas/Palettes/default.ap -udp=5050 -atlas=./data/Atlas -autocenter-mode
    shell: current dir: /Applications/FlightGear.app/Contents/Resources
    /Applications/FlightGear.app/Contents/Resources/FlightGearController.rb:47:in `initialize': Ruby threads cannot be used in RubyCocoa without patches to the Ruby interpreter
    Starting fgfs.sh with -nmea=socket,out,1,localhost,5050,udp -atlas=socket,out,1,localhost,5500,udp -browser-app=open
    shell: current dir: /Applications/FlightGear.app/Contents/Resources
    /Applications/FlightGear.app/Contents/Resources/FlightGearController.rb:47:in `initialize': Ruby threads cannot be used in RubyCocoa without patches to the Ruby interpreter
    Loading airports …
    Loading navaids …
    Loading fixes …
    Loading airways …
    Exiting fgfs.sh
    Exiting terrasync
    Exiting Atlas

    I hope someone can help.